{

	saved_FirstTime [1]


	Init[(s)
	{
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;
			SetNationality(1);

			GiveWeapon(53);
			PlayAnimation(8);

			SetAttackDistance(15,15);
			SetState_Patrol(0);
			SetLineOfSight(0);

			SetCrouching();
			SetWander(0);
		}
	}]

	DelayReached[(dy)
	{
		if (dy = 5)
		{
			NextPath(1);
		}
	}]

	NextPath[(num)
	{
		PlayAnimation(7);
		SetRunning();

		if (num = 1)
		{
			FollowPath("sniperdot");
			FollowPathCallback(127,"EndNode",5,5229,27264);
		}
	}]

	EndNode[(type,xpos,ypos)
	{
		if (type = 5)
		{
			PlayAnimation(10);
			SetCrouching();
			TurnToLocation(xpos,ypos);
		}
	}]

}